Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.client.xmlrpc
Class dbXMLClientImpl

    java.lang.Object
      com.dbxml.db.client.xmlrpc.ConnectionManager
          com.dbxml.db.client.xmlrpc.dbXMLClientImpl

All Implemented Interfaces:
  dbXMLClient

public final class dbXMLClientImpl
extends ConnectionManager
implements dbXMLClient

dbXMLClientImpl

Field Summary

Fields inherited from class com.dbxml.db.client.xmlrpc.ConnectionManager
`CONNECTION, SECURE, STANDARD`

Fields inherited from interface com.dbxml.db.client.dbXMLClient
`ALT_HOST, ALT_PASS, ALT_PORT, ALT_USER, HOST, PASS, PORT, USER`

Constructor Summary
`dbXMLClientImpl()`

Method Summary
`void` | `connect()` connect instructs the client to connect to the server.
`void` | `disconnect()` disconnect instructs the client to disconnect from the server.
`CollectionClient` | `getCollection(java.lang.String childPath)` getCollection returns the CollectionClient defined by the specified path.
`ContentClient` | `getContent(java.lang.String docPath)` getContent returns the ContentClient defined by the specified path.
`CollectionClient` | `getDatabase()` getDatabase returns the Database instance as a CollectionClient.
`java.lang.String` | `getServerVersion()` getServerVersion returns a string that includes the name and current version of the server that is currently connected.
`void` | `shutdown(int exitCode)` shutdown shuts down the server with the specified exit code.

Methods inherited from class com.dbxml.db.client.xmlrpc.ConnectionManager
`execute, executeBinary, executeBoolean, executeInt, executeList, executeMap, executeString, getClientPath, getProperties, getProperty, getXmlRpcClient, listProperties, setClientPath, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.db.client.dbXMLClient
`getProperties, getProperty, listProperties, setProperty`

Constructor Detail

### dbXMLClientImpl

    public dbXMLClientImpl()

Method Detail

### connect

    public void connect()
                 throws dbXMLException

  Description copied from interface: `dbXMLClient`
  connect instructs the client to connect to the server.

  Specified by:
    `connect` in interface `dbXMLClient`
  Throws:
    `dbXMLException`

### disconnect

    public void disconnect()
                    throws dbXMLException

  Description copied from interface: `dbXMLClient`
  disconnect instructs the client to disconnect from the server.

  Specified by:
    `disconnect` in interface `dbXMLClient`
  Throws:
    `dbXMLException`

### getServerVersion

    public java.lang.String getServerVersion()
                                      throws dbXMLException

  Description copied from interface: `dbXMLClient`
  getServerVersion returns a string that includes the name and current version of the server that is currently connected.

  Specified by:
    `getServerVersion` in interface `dbXMLClient`
  Returns:
    The server version
  Throws:
    `dbXMLException`

### shutdown

    public void shutdown(int exitCode)
                  throws dbXMLException

  Description copied from interface: `dbXMLClient`
  shutdown shuts down the server with the specified exit code.

  Specified by:
    `shutdown` in interface `dbXMLClient`
  Parameters:
    `exitCode` - The exit code to use
  Throws:
    `dbXMLException`

### getDatabase

    public CollectionClient getDatabase()
                                 throws dbXMLException

  Description copied from interface: `dbXMLClient`
  getDatabase returns the Database instance as a CollectionClient.

  Specified by:
    `getDatabase` in interface `dbXMLClient`
  Returns:
    The CollectionClient
  Throws:
    `dbXMLException`

### getCollection

    public CollectionClient getCollection(java.lang.String childPath)
                                   throws dbXMLException

  Description copied from interface: `dbXMLClient`
  getCollection returns the CollectionClient defined by the specified path.

  Specified by:
    `getCollection` in interface `dbXMLClient`
  Parameters:
    `childPath` - The Collection path
  Returns:
    The CollectionClient
  Throws:
    `dbXMLException`

### getContent

    public ContentClient getContent(java.lang.String docPath)
                             throws dbXMLException

  Description copied from interface: `dbXMLClient`
  getContent returns the ContentClient defined by the specified path.

  Specified by:
    `getContent` in interface `dbXMLClient`
  Parameters:
    `docPath` - The Document path
  Returns:
    The ContentClient
  Throws:
    `dbXMLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group